sales-invoices-by-id-patch

Source

  • Repository: jef-systems/jef-sales-invoices-backend

  • Source Run ID: 24009064841

  • Source SHA: 92f7d367e27d34a8feb772a445da302f33a286af

  • Module: sales-invoices

  • Documentation Scope: async

  • Lambda: jef-sales-invoices-patch-13

Endpoint

  • API Name: jef-sales-invoices

  • Action Name: patch

  • Method: PATCH

  • Scope Label: Async

  • Resource Path: /sales-invoices-by-id-patch

  • Complete Endpoint: https://f85p4su499.execute-api.ap-southeast-1.amazonaws.com/prod/sales-invoices-by-id-patch

  • Lambda ARN: arn:aws:lambda:ap-southeast-1:246715082475:function:jef-sales-invoices-patch-13

  • curl payload mode: json_body

API Gateway Description

Function: jef-sales-invoices-patch-13
API Name: jef-sales-invoices
Action: patch
Method: PATCH
Resource Path: /sales-invoices-by-id-patch

Payload:
- invoice_id: invoice-uuid
- notes: Updated note

Response:
- ok: true
- job_id: job-uuid
- status: PENDING

Request Payload

{
  "invoice_id": "invoice-uuid",
  "notes": "Updated note"
}

Response

{
  "ok": "true",
  "job_id": "job-uuid",
  "status": "PENDING"
}

CMD curl

curl -X PATCH "https://f85p4su499.execute-api.ap-southeast-1.amazonaws.com/prod/sales-invoices-by-id-patch" -H "Content-Type: application/json" --data-raw "{\"invoice_id\": \"invoice-uuid\", \"notes\": \"Updated note\"}"

PowerShell curl

curl.exe -X PATCH "https://f85p4su499.execute-api.ap-southeast-1.amazonaws.com/prod/sales-invoices-by-id-patch" -H "Content-Type: application/json" --data-raw '{"invoice_id": "invoice-uuid", "notes": "Updated note"}'